/***************************************************************************
*
* Filename     :  linuxentry.h
* Owner        :  mEid
* Rev          :  $Revision:   1.0  $
* Content      :  Header file for the entry (and exit) points of the Linux Driver
* Compile flag :
*
* COPYRIGHT (c) 2003  Matrox Electronic Systems Ltd.
* All Rights Reserved
*
****************************************************************************/

extern int mtxaux_major;    // use a dynamic major number for the driver

#define MTXAUX_MAJOR      230

#define MATROX_VENDID              0x102B
#define FOURSIGHT_DEVICE_ID        0x5E10
#define NEXIS2_1_DEVICE_ID         0x5254
#define FOURSIGHT_SUBSYS_ID        0x0100
#define INDIOAUX_SUBSYS_ID         0x0400
#define IRISGTR_SUBSYS_ID          0x0500
#define MTXAUX_MAX_CARDS           256

#ifdef __cplusplus
extern "C" {
#endif

struct mtxaux_acpi_resource_data{
        unsigned int mem;
        unsigned int len;
        unsigned short irq;
    };

int win_driver_acpi_device_init(struct mtxaux_acpi_resource_data* );
int win_driver_init_from_nexis (void *dev);
void init_cmd_list_interface (int instance, void** fn, void**cx);
#ifdef __cplusplus
}
#endif
